## A similar macro precompile loader for webpack

## Install

```shell
npm i @dpapejs/precompile-loader -D
# OR
yarn add @dpapejs/precompile-loader -D
```

## Webpack config

> The default value is `false` if the configuration is not set

```js
module.exports = {
    ...
    module:{
        rules:[
            ...,
            {
                test: /\.(jsx|js|vue)$/,
                loader: "@dpapejs/precompile-loader",
                options:{
                    config:{
                        user_modules:false,
                        logs_modules:true
                    }
                }
            }
        ]
    }
    ...
}
```

## Javascript code

```js
// #if user_modules
console.log('user_modules')
// #endif user_modules
// #nif user_modules
console.log('is unif code -> user_modules')
// #endnif user_modules
// #if logs_modules
console.log('logs_modules')
// #endif logs_modules
```

> `Output the result after compilation`

```js
console.log('is unif code -> user_modules')
console.log('logs_modules')
```

## Html code or template code

```html
<!-- #if user_modules -->
<div>User module content</div>
<!-- #endif user_modules -->
<!-- #nif user_modules -->
<div>Unif User module content</div>
<!-- #endnif user_modules -->
<!-- #if logs_modules -->
<div>Logs module content</div>
<!-- #endif logs_modules -->
```

> `Output the result after compilation`

```js
<div>Unif User module content</div>
<div>Logs module content</div>
```
